GET /bulk-data

Endpoint

Returns an array of all Bulk Data items.

§ Example Request

Retrieve all Bulk Data items.

GET https://api.heroi.cc/bulk-data

{
    "data": [{
        "type": "bulk-data",
        "id": "ae319890e2f71043d559695fafedba4a64b1c5e1",
        "attributes": {
            "name": "All Cards",
            "size": 97170186,
            "content-type": "application\/vnd.api+json",
            "updated-at": "2026-05-27"
        },
        "links": {
            "download": "https:\/\/assets.heroi.cc\/bulk-data\/all_cards-2026-05-27-085653.json"
        }
    }, {
        "type": "bulk-data",
        "id": "ff1dd7904d519af99d958a1ac4d4497df2dd9342",
        "attributes": {
            "name": "English Cards",
            "size": 24785486,
            "content-type": "application\/vnd.api+json",
            "updated-at": "2026-05-27"
        },
        "links": {
            "download": "https:\/\/assets.heroi.cc\/bulk-data\/en-2026-05-27-090217.json"
        }
    }, {
        "type": "bulk-data",
        "id": "4b768c5345c8e8d4e7b69ea12f15b8df8b0824c0",
        "attributes": {
            "name": "Japanese Cards",
            "size": 31379833,
            "content-type": "application\/vnd.api+json",
            "updated-at": "2026-05-27"
        },
        "links": {
            "download": "https:\/\/assets.heroi.cc\/bulk-data\/ja-2026-05-27-090218.json"
        }
    }, {
        "type": "bulk-data",
        "id": "101608d103e840c9b04324ebef3ef4f2701a05c2",
        "attributes": {
            "name": "Korean Cards",
            "size": 18695957,
            "content-type": "application\/vnd.api+json",
            "updated-at": "2026-05-27"
        },
        "links": {
            "download": "https:\/\/assets.heroi.cc\/bulk-data\/ko-2026-05-27-090219.json"
        }
    }, {
        "type": "bulk-data",
        "id": "736a21b6542f6dcb3305793451f63c5df3bbf62e",
        "attributes": {
            "name": "Chinese (Simplified) Cards",
            "size": 22308916,
            "content-type": "application\/vnd.api+json",
            "updated-at": "2026-05-27"
        },
        "links": {
            "download": "https:\/\/assets.heroi.cc\/bulk-data\/zh-Hans-2026-05-27-090220.json"
        }
    }],
    "links": {
        "self": "https:\/\/api.heroi.cc\/bulk-data"
    }
}